org.apache.cassandra.cql3.functions

## Class NativeFunction

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.NativeFunction

All Implemented Interfaces:
  AssignmentTestable, Function

Direct Known Subclasses:
  NativeAggregateFunction, NativeScalarFunction

    public abstract class NativeFunction
    extends AbstractFunction

Base class for our native/hardcoded functions.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`AssignmentTestable.TestResult`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

`argTypes, name, returnType`

### Constructor Summary

Constructors
`protected` `NativeFunction(java.lang.String name, AbstractType<?> returnType, AbstractType<?>... argTypes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isNative()` Checks whether the function is a native/hard coded one or not.

### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

`addFunctionsTo, argTypes, columnName, equals, hashCode, hasReferenceTo, name, returnType, testAssignment, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

`isAggregate`

### Constructor Detail

#### NativeFunction

    protected NativeFunction(java.lang.String name,
                             AbstractType<?> returnType,
                             AbstractType<?>... argTypes)

### Method Detail

#### isNative

    public boolean isNative()

Description copied from interface: `Function`
Checks whether the function is a native/hard coded one or not.

Returns:
  `true` if the function is a native/hard coded one, `false` otherwise.